Bug 507919 - Disabling NetworkManager results in slow X boot
Disabling NetworkManager results in slow X boot
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 13:43 EDT by Prarit Bhargava
Modified: 2010-03-28 08:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-28 08:23:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2009-06-24 13:43:22 EDT
Description of problem:

I typically install "text" mode, and then start X via startx.  When I do this, and the NetworkManager service is stopped, it takes upto 15 minutes for X to start.

Version-Release number of selected component (if applicable): latest RHEL5.4 tree (I have not done any binary searching to see if this occurs in earlier versions of RHEL5)


How reproducible: 100%


Steps to Reproduce:
1. Install system in "text" mode, or manually disable NetworkManager.
2. Boot system.  Make sure hardwired eth0 come up and dhcp's an address.
3. Disconnect eth0 cable.  Do NOT "ifdown eth0".
4. startx

  
Actual results:

X takes 15 minutes to start.
 
Expected results: X should start within 10-15 seconds.


Additional Info: See on corporate T61 laptop.
Comment 1 Dan Williams 2009-06-27 08:49:20 EDT
This probably isn't an NM thing.  It's X being stupid with hostnames.  You can't resolve hostnames, and thus X can't start because it uses hostnames as part of the libSM session stuff.  Your machine probably got a hostname via DHCP when you had the cable plugged in, and thus when you unplug the cable, no DNS server, and since your hostname is only resolvable via the DNS server DHCP gave you...

Make sure that your current machine hostname has an entry pointing back to 127.0.0.1 in /etc/hosts, also see what xauth cookies you have, and gdb the hanging process and you'll see its stuck in the glibc resolver trying to resolve your hostname.
Comment 3 Prarit Bhargava 2010-03-28 08:23:35 EDT
I cannot remember the context, nor do I know if this is reproducible anymore.  Closing as INSUFFICIENT_DATA (against myself ;) ).

Note You need to log in before you can comment on or make changes to this bug.